Loading...
Searching...
No Matches
novas-calceph.h File Reference

SuperNOVAS functions interfacing with the CALCEPH C library. More...

## Functions

int | novas_calceph_is_thread_safe ()
| Checks if the CALCEPH plugin is thread safe.
int | novas_calceph_use_ids (enum novas_id_type idtype)
| Sets the type of Solar-system body IDs to use as object.number with NOVAS_EPHEM_OBJECT types.
int | novas_use_calceph (t_calcephbin *eph)
| Sets a ephemeris provider for Solar-system objects using the CALCEPH C library and the specified set of ephemeris files.
int | novas_use_calceph_planets (t_calcephbin *eph)
| Sets the CALCEPH C library and the specified ephemeris data as the ephemeris provider for the major planets (and Sun, Moon, SSB...).

## Detailed Description

SuperNOVAS functions interfacing with the CALCEPH C library.

Date
  Created on Nov 12, 2024

Author
  Attila Kovacs